- Main Page
- Packages
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# smjg.libs.sdwf.statusbar.StatusBarPart Class Reference

The StatusBarPart class represents an individual part of a status bar. More...

List of all members.

## Public Member Functions
Properties
StatusBar | container ()
| The status bar in which this part has been placed.
ubyte | index ()
| The index of this part within its status bar.
SBT | style ()
| The style of this status bar part.
SBT | style (SBT s)
| The style of this status bar part.
char[] | text ()
| The text displayed by this status bar part.
string | text (string t)
| The text displayed by this status bar part.
StatusBarPart | dup ()
| Makes a copy of this StatusBarPart.

## Detailed Description

The StatusBarPart class represents an individual part of a status bar.

Note:
  For a StatusBarPart representing the simple mode of a status bar, setting any property will cause the status bar to be placed in simple mode.

Since:
  0.58

## Member Function Documentation

StatusBar smjg.libs.sdwf.statusbar.StatusBarPart.container | ( |  | ) |

The status bar in which this part has been placed.

ubyte smjg.libs.sdwf.statusbar.StatusBarPart.index | ( |  | ) |

The index of this part within its status bar.

Precondition:
  The part must be actually in a status bar.

SBT smjg.libs.sdwf.statusbar.StatusBarPart.style | ( |  | ) |

The style of this status bar part.

Status:
  done

SBT smjg.libs.sdwf.statusbar.StatusBarPart.style | ( | SBT | s | ) |

The style of this status bar part.

Note:
  If the style SBT.NOBORDERS is set, the part will not automatically repaint to remove the existing border. To do so, one must call repaint(true) on the status bar.

Status:
  done

char [] smjg.libs.sdwf.statusbar.StatusBarPart.text | ( |  | ) |

The text displayed by this status bar part.

Status:
  done

string smjg.libs.sdwf.statusbar.StatusBarPart.text | ( | string | t | ) |

The text displayed by this status bar part.

Status:
  done

StatusBarPart smjg.libs.sdwf.statusbar.StatusBarPart.dup | ( |  | ) |

Makes a copy of this StatusBarPart.

The copy will not be assigned to any status bar until it is placed in one.

## Member Data Documentation

uint smjg.libs.sdwf.statusbar.StatusBarPart._styleAndIndex

ubyte smjg.libs.sdwf.statusbar.StatusBarPart._index

The documentation for this class was generated from the following file:

- statusbar.d